--- title: "Get the Gateway Anti-Malware Updating Configuration for Domain" slug: "get-the-gateway-anti-malware-updating-configuration-for-domain-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-the-gateway-anti-malware-updating-configuration-for-domain-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Gateway Anti-Malware Updating Configuration for Domain This URL retrieves the Gateway Anti-Malware updating configuration for domain. ### Resource URL GET /domain//gamupdatesettings ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainId` | Domain id | Number | Yes | ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | | `enableAutoUpdate` | Enable automatic update of Gateway Anti-Malware | Boolean | | `updateInterval` | Time interval of next update | String | ### Example **Request** GET [https:///sdkapi/domain/0/gamupdatesettings](https://<NSM_IP>/sdkapi/domain/0/gamupdatesettings) **Response** ``` {   "inheritSettings": false,   "enableAutoUpdate": false,   "updateInterval": "6 hrs" } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |